# Review: https://bugzilla.redhat.com/show_bug.cgi?id=529465

Name:           thunar-vcs-plugin
Version:        0.1.0
Release:        1%{?dist}
Summary:        SVN integration for the Thunar filemanager

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/thunar-plugins/%{name}
Source0:        http://archive.xfce.org/src/thunar-plugins/%{name}/0.1/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= 0.4.0
BuildRequires:  subversion-devel >= 1.5
BuildRequires:  apr-devel >= 0.9.7
BuildRequires:  e2fsprogs-devel
BuildRequires:  uuid-devel
%if 0%{?fedora} >= 12
BuildRequires:  libuuid-devel
%endif
BuildRequires:  gettext, intltool
Requires:       Thunar >= 1.0.0
Requires:       subversion
# Obsolete thunar-svn-plugin for smooth upgrades
Provides:       thunar-svn-plugin = %{version}-%{release}
Obsoletes:      thunar-svn-plugin < 0.0.4-1

%description
The Thunar VCS Plugin adds Subversion actions to the context menu of Thunar. 
This gives a SVN integration integration to Thunar. The current features are:
* Most of the svn action: add, blame, checkout, cleanup, commit, copy, delete,
  export, import, lock, log, move, properties, relocate, resolved, revert, 
  status, switch, unlock and update.
* Subversion info in file properties dialog.

This project was formerly known as Thunar SVN Plugin.

%prep
%setup -q


%build
%configure --disable-static
# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove libtool archive
rm $RPM_BUILD_ROOT%{_libdir}/thunarx-1/%{name}.la
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/thunarx-1/%{name}.so
%{_libexecdir}/tvp-svn-helper
%{_datadir}/icons/hicolor/*/apps/subversion.png


%changelog
* Wed Sep 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial Fedora package
